Skip to main content
POST
Create a board

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspacePublicId
string
required

Body

application/json
name
string
required

Board name.

Required string length: 1 - 100
lists
string[]
required

Names of the lists to create, in order, e.g. ['To do', 'Done'].

Minimum string length: 1
labels
string[]
required

Names of the labels to create, e.g. ['Bug', 'Feature'].

Minimum string length: 1
type
enum<string>

'regular' for a board (default), 'template' for a board template.

Available options:
regular,
template
sourceBoardPublicId
string

Public ID of a board or template to copy lists and labels from.

Minimum string length: 12

Response

201 - application/json
publicId
string
required
name
string
required